from mariadb 10.0.22 upgrade to mariadb 10.1.10

Description

1.shutdown mysql;
2.
[root@qfy ~]# rpm -qa|grep -i mariadb
MariaDB-server-10.0.22-1.el6.x86_64
MariaDB-common-10.0.22-1.el6.x86_64
MariaDB-client-10.0.22-1.el6.x86_64
MariaDB-shared-10.0.22-1.el6.x86_64
MariaDB-compat-10.0.22-1.el6.x86_64
MariaDB-devel-10.0.22-1.el6.x86_64

3.rpm -Uvh MariaDB-10.1.10-centos6-x86_64-client.rpm MariaDB-10.1.10-centos6-x86_64-common.rpm MariaDB-10.1.10-centos6-x86_64-compat.rpm MariaDB-10.1.10-centos6-x86_64-devel.rpm MariaDB-10.1.10-centos6-x86_64-shared.rpm

4.
[root@qfy ~]# rpm -qa|grep -i mariadb
MariaDB-server-10.0.22-1.el6.x86_64
MariaDB-common-10.1.10-1.el6.x86_64
MariaDB-compat-10.1.10-1.el6.x86_64
MariaDB-client-10.1.10-1.el6.x86_64
MariaDB-shared-10.1.10-1.el6.x86_64
MariaDB-devel-10.1.10-1.el6.x86_64

5.
[root@qfy ~]# rpm -Uvh MariaDB-10.1.10-centos6-x86_64-server.rpm
warning: MariaDB-10.1.10-centos6-x86_64-server.rpm: Header V4 DSA/SHA1 Signature, key ID 1bb943db: NOKEY
error: Failed dependencies:
galera is needed by MariaDB-server-10.1.10-1.el6.x86_64

Question:
why need I install galera?

Environment

CentOS 6.7,MariaDB 10.0.22

Assignee

Unassigned

Reporter

QFY

Labels

Components

Fix versions

Affects versions

Priority

Major
Configure